package cz.senslog.analytics.domain;

public record AnalyticGroup(long id, String name, int interval, boolean persistence, CollectorType type) {

    public static AnalyticGroup of(long id, String name, int interval, boolean persistence, CollectorType type) {
        return new AnalyticGroup(id, name, interval, persistence, type);
    }

    public static AnalyticGroup of(long id, String name, CollectorType type) {
        return new AnalyticGroup(id, name, -1, false, type);
    }
}
